package com.ruoyi.project.ticket.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 延期票附属对象对象 t_delay_permit_other
 *
 * @author ruoyi
 * @date 2021-12-23
 */
public class TDelayPermitOther extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 附属主键ID
     */
    private Long id;

    /**
     * 开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date valiStartTime;

    /**
     * 结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date valiEndTime;

    /**
     * 危害不变G签名
     */
    @Excel(name = "危害不变G签名")
    private String aGSign;

    /**
     * 危害不变G签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "危害不变G签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date aGDate;

    /**
     * D栏的安全措施已重新检查及重新批准签名
     */
    @Excel(name = "D栏的安全措施已重新检查及重新批准签名")
    private String aHSign;

    /**
     * D栏的安全措施已重新检查及重新批准签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "D栏的安全措施已重新检查及重新批准签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date aHDate;

    /**
     * 授权的维修主管签名
     */
    @Excel(name = "授权的维修主管签名")
    private String aI1aSign;

    /**
     * 授权的维修主管签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "授权的维修主管签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date aI1aDate;

    /**
     * 安全协调员签名
     */
    @Excel(name = "安全协调员签名")
    private String aA4Sign;

    /**
     * 安全协调员签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "安全协调员签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date aA4Date;

    /**
     * 授权的装置维修工人签名
     */
    @Excel(name = "授权的装置维修工人签名")
    private String aI1bSign;

    /**
     * 授权的装置维修工人签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "授权的装置维修工人签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date aI1bDate;

    /**
     * F栏安全措施已实施签名
     */
    @Excel(name = "F栏安全措施已实施签名")
    private String aKSign;

    /**
     * F栏安全措施已实施签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "F栏安全措施已实施签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date aKDate;

    /**
     * 安全监护人签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "安全监护人签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date aE3StartTime;

    /**
     * 安全监护人签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "安全监护人签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date aE3EndTime;

    /**
     * 安全监护人签名
     */
    @Excel(name = "安全监护人签名")
    private String aE3Sign;

    /**
     * 安全监护人签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "安全监护人签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date aE3Date;


    /**
     * 安全监护人签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "安全监护人签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date hE3StartTime;

    /**
     * 安全监护人签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "安全监护人签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date hE3EndTime;

    /**
     * 动火监护人签名
     */
    @Excel(name = "动火监护人签名")
    private String hE3Sign;

    /**
     * 动火监护人签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "动火监护人签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date hE3Date;

    /**
     * D5.1签名
     */
    @Excel(name = "D5.1签名")
    private String h51Sign;

    /**
     * D5.1签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "D5.1签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date h51Date;

    /**
     * D5.2签名
     */
    @Excel(name = "D5.2签名")
    private String h52Sign;

    /**
     * D5.2签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "D5.2签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date h52Date;


    /**
     * 安全监护人签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "安全监护人签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date cI2StartTime1;

    /**
     * 安全监护人签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "安全监护人签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date cI2EndTime1;

    /**
     * 安全监护人/观察员1签名
     */
    @Excel(name = "安全监护人/观察员1签名")
    private String cI2Sign1;

    /**
     * 安全监护人/观察员1签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "安全监护人/观察员1签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date cI2Date1;

    /**
     * 安全监护人签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "安全监护人签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date cI2StartTime2;

    /**
     * 安全监护人签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "安全监护人签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date cI2EndTime2;

    /**
     * 安全监护人/观察员2签名
     */
    @Excel(name = "安全监护人/观察员2签名")
    private String cI2Sign2;

    /**
     * 安全监护人/观察员2签名时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "安全监护人/观察员2签名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date cI2Date2;

    public Date getaE3StartTime() {
        return aE3StartTime;
    }

    public void setaE3StartTime(Date aE3StartTime) {
        this.aE3StartTime = aE3StartTime;
    }

    public Date getaE3EndTime() {
        return aE3EndTime;
    }

    public void setaE3EndTime(Date aE3EndTime) {
        this.aE3EndTime = aE3EndTime;
    }

    public Date gethE3StartTime() {
        return hE3StartTime;
    }

    public void sethE3StartTime(Date hE3StartTime) {
        this.hE3StartTime = hE3StartTime;
    }

    public Date gethE3EndTime() {
        return hE3EndTime;
    }

    public void sethE3EndTime(Date hE3EndTime) {
        this.hE3EndTime = hE3EndTime;
    }

    public Date getcI2StartTime2() {
        return cI2StartTime2;
    }

    public void setcI2StartTime2(Date cI2StartTime2) {
        this.cI2StartTime2 = cI2StartTime2;
    }

    public Date getcI2EndTime2() {
        return cI2EndTime2;
    }

    public void setcI2EndTime2(Date cI2EndTime2) {
        this.cI2EndTime2 = cI2EndTime2;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public Date getValiStartTime() {
        return valiStartTime;
    }

    public void setValiStartTime(Date valiStartTime) {
        this.valiStartTime = valiStartTime;
    }

    public Date getValiEndTime() {
        return valiEndTime;
    }

    public void setValiEndTime(Date valiEndTime) {
        this.valiEndTime = valiEndTime;
    }

    public void setaGSign(String aGSign) {
        this.aGSign = aGSign;
    }

    public String getaGSign() {
        return aGSign;
    }

    public void setaGDate(Date aGDate) {
        this.aGDate = aGDate;
    }

    public Date getaGDate() {
        return aGDate;
    }

    public void setaHSign(String aHSign) {
        this.aHSign = aHSign;
    }

    public String getaHSign() {
        return aHSign;
    }

    public void setaHDate(Date aHDate) {
        this.aHDate = aHDate;
    }

    public Date getaHDate() {
        return aHDate;
    }

    public void setaI1aSign(String aI1aSign) {
        this.aI1aSign = aI1aSign;
    }

    public String getaI1aSign() {
        return aI1aSign;
    }

    public void setaI1aDate(Date aI1aDate) {
        this.aI1aDate = aI1aDate;
    }

    public Date getaI1aDate() {
        return aI1aDate;
    }

    public void setaA4Sign(String aA4Sign) {
        this.aA4Sign = aA4Sign;
    }

    public String getaA4Sign() {
        return aA4Sign;
    }

    public void setaA4Date(Date aA4Date) {
        this.aA4Date = aA4Date;
    }

    public Date getaA4Date() {
        return aA4Date;
    }

    public void setaI1bSign(String aI1bSign) {
        this.aI1bSign = aI1bSign;
    }

    public String getaI1bSign() {
        return aI1bSign;
    }

    public void setaI1bDate(Date aI1bDate) {
        this.aI1bDate = aI1bDate;
    }

    public Date getaI1bDate() {
        return aI1bDate;
    }

    public void setaKSign(String aKSign) {
        this.aKSign = aKSign;
    }

    public String getaKSign() {
        return aKSign;
    }

    public void setaKDate(Date aKDate) {
        this.aKDate = aKDate;
    }

    public Date getaKDate() {
        return aKDate;
    }

    public void setaE3Sign(String aE3Sign) {
        this.aE3Sign = aE3Sign;
    }

    public String getaE3Sign() {
        return aE3Sign;
    }

    public void setaE3Date(Date aE3Date) {
        this.aE3Date = aE3Date;
    }

    public Date getaE3Date() {
        return aE3Date;
    }

    public void sethE3Sign(String hE3Sign) {
        this.hE3Sign = hE3Sign;
    }

    public String gethE3Sign() {
        return hE3Sign;
    }

    public void sethE3Date(Date hE3Date) {
        this.hE3Date = hE3Date;
    }

    public Date gethE3Date() {
        return hE3Date;
    }

    public void setH51Sign(String h51Sign) {
        this.h51Sign = h51Sign;
    }

    public String getH51Sign() {
        return h51Sign;
    }

    public void setH51Date(Date h51Date) {
        this.h51Date = h51Date;
    }

    public Date getH51Date() {
        return h51Date;
    }

    public void setH52Sign(String h52Sign) {
        this.h52Sign = h52Sign;
    }

    public String getH52Sign() {
        return h52Sign;
    }

    public void setH52Date(Date h52Date) {
        this.h52Date = h52Date;
    }

    public Date getH52Date() {
        return h52Date;
    }

    public Date getcI2StartTime1() {
        return cI2StartTime1;
    }

    public void setcI2StartTime1(Date cI2StartTime1) {
        this.cI2StartTime1 = cI2StartTime1;
    }

    public Date getcI2EndTime1() {
        return cI2EndTime1;
    }

    public void setcI2EndTime1(Date cI2EndTime1) {
        this.cI2EndTime1 = cI2EndTime1;
    }

    public String getcI2Sign1() {
        return cI2Sign1;
    }

    public void setcI2Sign1(String cI2Sign1) {
        this.cI2Sign1 = cI2Sign1;
    }

    public Date getcI2Date1() {
        return cI2Date1;
    }

    public void setcI2Date1(Date cI2Date1) {
        this.cI2Date1 = cI2Date1;
    }

    public void setcI2Sign2(String cI2Sign2) {
        this.cI2Sign2 = cI2Sign2;
    }

    public String getcI2Sign2() {
        return cI2Sign2;
    }

    public void setcI2Date2(Date cI2Date2) {
        this.cI2Date2 = cI2Date2;
    }

    public Date getcI2Date2() {
        return cI2Date2;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("valiStartTime", getValiStartTime())
                .append("valiStartTime", getValiEndTime())
                .append("aGSign", getaGSign())
                .append("aGDate", getaGDate())
                .append("aHSign", getaHSign())
                .append("aHDate", getaHDate())
                .append("aI1aSign", getaI1aSign())
                .append("aI1aDate", getaI1aDate())
                .append("aA4Sign", getaA4Sign())
                .append("aA4Date", getaA4Date())
                .append("aI1bSign", getaI1bSign())
                .append("aI1bDate", getaI1bDate())
                .append("aKSign", getaKSign())
                .append("aKDate", getaKDate())
                .append("aE3Sign", getaE3Sign())
                .append("aE3Date", getaE3Date())
                .append("hE3Sign", gethE3Sign())
                .append("hE3Date", gethE3Date())
                .append("h51Sign", getH51Sign())
                .append("h51Date", getH51Date())
                .append("h52Sign", getH52Sign())
                .append("h52Date", getH52Date())
                .append("cI2Sign", getcI2Sign1())
                .append("cI2Date", getcI2Date1())
                .append("cI2Sign2", getcI2Sign2())
                .append("cI2Date2", getcI2Date2())
                .toString();
    }
}
